$borderRadius-input: 4px;
//$backgroundColor-input: rgb(31, 42, 65);
$backgroundColor-input: #1e293e;
$backgroundColor-btn: rgb(0, 189, 197);
$color-input: rgb(255, 255, 255);

$dark-inputs-font-size: .725rem;
.input {
  display: flex;
  align-items: center;
  margin-bottom: $marginDefault;
  &_dark {
    border: 1px solid #616775;
  }
  &_inner {
    width: 100%;
    position: relative;
    flex: 1;
    &:not(.textarea) {
      height: 38px;
    }
  }
  &-search {
    border: 1px solid #324059;
    border-radius: 8px;
    overflow: hidden;
    background-color: #1e2b42;
    font-weight: bold;
    &.input {
      label {
        color: #536585;
      }
      input {
        color: #536585;
        background-color: #1e2b42;
      }
    }
  }
  &_append {
    max-width: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    align-self: stretch;
    padding: $paddingMini /2 $paddingMini;
    img {
      max-width: 20px;
    }
  }
  input, textarea {
    width: 100%;
    height: 100%;
    border: 0px;
    padding: $paddingMini/2 $paddingMini;
    border-top-left-radius: $borderRadius-input;
    border-bottom-left-radius: $borderRadius-input;
    background-color: $backgroundColor-input;
    color: #FFFFFF;
    resize: none;
    font-size: $dark-inputs-font-size;
    &:focus, &:active {
      outline: none;
    }
  }
  textarea {
  }
  label {
    position: absolute;
    left: 0px;
    top: 0px;
    padding-left: $paddingMini;
    padding-right: $paddingMini;
    width: 100%;
    color: $color-input;
    height: 100%;
    font-size: $dark-inputs-font-size;
    &:not(.textarea) {
      display: flex;
      align-items: center;
    }
    & + textarea {
      padding-top: 9px;
    }
    &.textarea {
      padding-top: $paddingMini;
      & > div {
        display: flex;
        width: 100%;
        align-items: center;
        justify-content: space-between;
      }
    }
  }
  button {
    width: 35px;
    height: 35px;
    background-color: $backgroundColor-btn;
    border-radius: $borderRadius-input;
    padding: 0px;
    border: 0px;
  }
}
